<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: Expansion_M1A_Base Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/db9/a07681.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">Expansion_M1A_Base Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Expansion_M1A_Base:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../db/db9/a07681.png" usemap="#Expansion_5FM1A_5FBase_map" alt=""/>
  <map id="Expansion_5FM1A_5FBase_map" name="Expansion_5FM1A_5FBase_map">
<area href="../../db/d98/a07685.html" alt="Expansion_M1A" shape="rect" coords="0,112,139,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aae37ff985c0e888a9ae7ffd8ded990dc"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db9/a07681.html#aae37ff985c0e888a9ae7ffd8ded990dc">CanEnterIronsights</a> ()</td></tr>
<tr class="separator:aae37ff985c0e888a9ae7ffd8ded990dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9c6159fd824afffbb477916593220f5"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d7/de2/a07613.html">RecoilBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db9/a07681.html#aa9c6159fd824afffbb477916593220f5">SpawnRecoilObject</a> ()</td></tr>
<tr class="separator:aa9c6159fd824afffbb477916593220f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27d4a8dcd40b98f71de2c1937b257521"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db9/a07681.html#a27d4a8dcd40b98f71de2c1937b257521">CanReceiveAttachment</a> (EntityAI attachment, int slotId)</td></tr>
<tr class="separator:a27d4a8dcd40b98f71de2c1937b257521"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9b461c583e835b9e5f6969460008ec7"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db9/a07681.html#aa9b461c583e835b9e5f6969460008ec7">CanReleaseAttachment</a> (EntityAI attachment)</td></tr>
<tr class="separator:aa9b461c583e835b9e5f6969460008ec7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04e1ddbdae3a8bb4a1b19bc9931d6745"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db9/a07681.html#a04e1ddbdae3a8bb4a1b19bc9931d6745">CanDisplayAttachmentSlot</a> (int slot_id)</td></tr>
<tr class="separator:a04e1ddbdae3a8bb4a1b19bc9931d6745"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeae572a599481a4f9f8de5e155a840ee"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db9/a07681.html#aeae572a599481a4f9f8de5e155a840ee">OnDebugSpawn</a> ()</td></tr>
<tr class="separator:aeae572a599481a4f9f8de5e155a840ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d6/d85/a03290.html">Expansion_M1A_Base.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d85/a03290_source.html#l00013">13</a> of file <a class="el" href="../../d6/d85/a03290_source.html">expansion_m1a_base.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a04e1ddbdae3a8bb4a1b19bc9931d6745" name="a04e1ddbdae3a8bb4a1b19bc9931d6745"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04e1ddbdae3a8bb4a1b19bc9931d6745">&#9670;&#160;</a></span>CanDisplayAttachmentSlot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool Expansion_M1A_Base::CanDisplayAttachmentSlot </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slot_id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d85/a03290_source.html#l00068">68</a> of file <a class="el" href="../../d6/d85/a03290_source.html">expansion_m1a_base.c</a>.</p>

</div>
</div>
<a id="aae37ff985c0e888a9ae7ffd8ded990dc" name="aae37ff985c0e888a9ae7ffd8ded990dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae37ff985c0e888a9ae7ffd8ded990dc">&#9670;&#160;</a></span>CanEnterIronsights()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool Expansion_M1A_Base::CanEnterIronsights </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d85/a03290_source.html#l00015">15</a> of file <a class="el" href="../../d6/d85/a03290_source.html">expansion_m1a_base.c</a>.</p>

</div>
</div>
<a id="a27d4a8dcd40b98f71de2c1937b257521" name="a27d4a8dcd40b98f71de2c1937b257521"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27d4a8dcd40b98f71de2c1937b257521">&#9670;&#160;</a></span>CanReceiveAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool Expansion_M1A_Base::CanReceiveAttachment </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>attachment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slotId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d85/a03290_source.html#l00027">27</a> of file <a class="el" href="../../d6/d85/a03290_source.html">expansion_m1a_base.c</a>.</p>

</div>
</div>
<a id="aa9b461c583e835b9e5f6969460008ec7" name="aa9b461c583e835b9e5f6969460008ec7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9b461c583e835b9e5f6969460008ec7">&#9670;&#160;</a></span>CanReleaseAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool Expansion_M1A_Base::CanReleaseAttachment </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>attachment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d85/a03290_source.html#l00060">60</a> of file <a class="el" href="../../d6/d85/a03290_source.html">expansion_m1a_base.c</a>.</p>

</div>
</div>
<a id="aeae572a599481a4f9f8de5e155a840ee" name="aeae572a599481a4f9f8de5e155a840ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeae572a599481a4f9f8de5e155a840ee">&#9670;&#160;</a></span>OnDebugSpawn()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Expansion_M1A_Base::OnDebugSpawn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d85/a03290_source.html#l00087">87</a> of file <a class="el" href="../../d6/d85/a03290_source.html">expansion_m1a_base.c</a>.</p>

</div>
</div>
<a id="aa9c6159fd824afffbb477916593220f5" name="aa9c6159fd824afffbb477916593220f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9c6159fd824afffbb477916593220f5">&#9670;&#160;</a></span>SpawnRecoilObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d7/de2/a07613.html">RecoilBase</a> Expansion_M1A_Base::SpawnRecoilObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d85/a03290_source.html#l00022">22</a> of file <a class="el" href="../../d6/d85/a03290_source.html">expansion_m1a_base.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Weapons/Scripts/4_world/dayzexpansion_weapons/entities/weapons/<a class="el" href="../../d6/d85/a03290_source.html">expansion_m1a_base.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/db9/a07681.html">Expansion_M1A_Base</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
